From 4ebde54fd38d5a635ae927287ec86e2a8fb746ff Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 01 2020 22:24:11 +0000
Subject: [PATCH 1183/2232] Rename Namespace::none() to const Namespace::ROOT


---

diff --git a/gen/src/alphasort.rs b/gen/src/alphasort.rs
index 8d67d07..12251d5 100644
--- a/gen/src/alphasort.rs
+++ b/gen/src/alphasort.rs
@@ -123,7 +123,7 @@ mod tests {
     }
 
     fn make_api(ns: Option<&str>, ident: &str) -> Api {
-        let ns = ns.map_or_else(Namespace::none, |ns| syn::parse_str(ns).unwrap());
+        let ns = ns.map_or(Namespace::ROOT, |ns| syn::parse_str(ns).unwrap());
         Api::CxxType(ExternType {
             doc: Doc::new(),
             type_token: Token![type](Span::call_site()),
diff --git a/gen/src/file.rs b/gen/src/file.rs
index 1b324cb..46616fb 100644
--- a/gen/src/file.rs
+++ b/gen/src/file.rs
@@ -20,7 +20,7 @@ impl Parse for File {
 fn parse(input: ParseStream, modules: &mut Vec<Module>) -> Result<()> {
     while !input.is_empty() {
         let mut cxx_bridge = false;
-        let mut namespace = Namespace::none();
+        let mut namespace = Namespace::ROOT;
         let mut attrs = input.call(Attribute::parse_outer)?;
         for attr in &attrs {
             let path = &attr.path.segments;
@@ -65,7 +65,7 @@ fn parse(input: ParseStream, modules: &mut Vec<Module>) -> Result<()> {
 
 fn parse_args(attr: &Attribute) -> Result<Namespace> {
     if attr.tokens.is_empty() {
-        Ok(Namespace::none())
+        Ok(Namespace::ROOT)
     } else {
         attr.parse_args_with(Namespace::parse_bridge_attr_namespace)
     }
diff --git a/syntax/file.rs b/syntax/file.rs
index 931ce6e..33340d8 100644
--- a/syntax/file.rs
+++ b/syntax/file.rs
@@ -36,7 +36,7 @@ pub struct ItemForeignMod {
 
 impl Parse for Module {
     fn parse(input: ParseStream) -> Result<Self> {
-        let namespace = Namespace::none();
+        let namespace = Namespace::ROOT;
         let mut attrs = input.call(Attribute::parse_outer)?;
         let vis: Visibility = input.parse()?;
         let unsafety: Option<Token![unsafe]> = input.parse()?;
diff --git a/syntax/namespace.rs b/syntax/namespace.rs
index a9ef43c..834a1d5 100644
--- a/syntax/namespace.rs
+++ b/syntax/namespace.rs
@@ -16,11 +16,9 @@ pub struct Namespace {
 }
 
 impl Namespace {
-    pub fn none() -> Self {
-        Namespace {
-            segments: Vec::new(),
-        }
-    }
+    pub const ROOT: Self = Namespace {
+        segments: Vec::new(),
+    };
 
     pub fn iter(&self) -> Iter<Ident> {
         self.segments.iter()
@@ -28,7 +26,7 @@ impl Namespace {
 
     pub fn parse_bridge_attr_namespace(input: ParseStream) -> Result<Namespace> {
         if input.is_empty() {
-            return Ok(Namespace::none());
+            return Ok(Namespace::ROOT);
         }
 
         input.parse::<kw::namespace>()?;

